Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008750opensim[REGION] Specific OpenSim Modulepublic2020-08-19 23:002020-08-22 04:40
ReporterLotek 
Assigned ToLotek 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOperating SystemOperating System Version
Product Version 
Target VersionFixed in Versionmaster (dev code) 
Summary0008750: TaskInventoryAccepted misses bulk updates, RLV negatively affected
DescriptionHi, after there has been some work few weeks ago on InventoryTransferModule, I noticed scripts giving to the RLV folder breaking.

On closer inspection, the viewer complains about missing folder versions, and looking at the viewer source code it is mentioned BulkInventoryUpdates are expected which where there before previously in OpenSim (to which RLV then responds with inv_accepted)

This patch adds back those bulk inventory updates, and will make it work correctly for viewers using Marine's RLV. Note it still doesn't work for the 'RLVa' variant of RLV, for that see Mantis 6311.

I also added the handy test script from the RLVa creators but it can be used for testing both RLV and RLVa.
Steps To ReproducePut the attached script in a box and click it. If successful, you should get a inv_accepted message in local and have a new folder within the #RLV folder of your inventory.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineubODE
Script EngineXEngine
EnvironmentMono / Linux64
Mono VersionNone
Viewer
Attached Filespatch file icon 0001-Send-bulk-update-with-TaskInventoryAccepted.patch [^] (2,321 bytes) 2020-08-19 23:00 [Show Content]
? file icon givetorlv.lsl [^] (3,433 bytes) 2020-08-19 23:01

- Relationships
related to 0006311closedmelanie llGiveInventoryList no longer functions as expected. 

-  Notes
(0036724)
Lotek (reporter)
2020-08-19 23:08

For testing, use a RLV enabled viewer such as Cool VL Viewer or Dayturn Viewer.

Do not test with Firestorm or Singularity, as they use a different RLV variant (RLVa) to which this mantis doesn't apply (for that see 6311)
(0036725)
UbitUmarov (administrator)
2020-08-20 03:10

rlv is not part of the standard
it even does not have its own standard, and aparently does rely on particulars of SL system.
in some cases they may even rely on AIS details we don't have...


but i will take a look to check if those are real main issues..
(0036726)
UbitUmarov (administrator)
2020-08-20 13:05
edited on: 2020-08-20 13:06

made some changes and.. well things happen..
fs eep beta seems diferent than 6.3.9 on this..
(not exactly your patch)

(0036728)
UbitUmarov (administrator)
2020-08-20 13:17

note that i had to create folder #RLV without any with name starting like that on inventory. viewers did not create it
(0036734)
UbitUmarov (administrator)
2020-08-21 14:37

made a few more changes..

- Issue History
Date Modified Username Field Change
2020-08-19 23:00 Lotek New Issue
2020-08-19 23:00 Lotek File Added: 0001-Send-bulk-update-with-TaskInventoryAccepted.patch
2020-08-19 23:01 Lotek File Added: givetorlv.lsl
2020-08-19 23:01 Lotek Relationship added related to 0006311
2020-08-19 23:08 Lotek Note Added: 0036724
2020-08-20 03:10 UbitUmarov Note Added: 0036725
2020-08-20 13:05 UbitUmarov Note Added: 0036726
2020-08-20 13:06 UbitUmarov Note Edited: 0036726 View Revisions
2020-08-20 13:17 UbitUmarov Note Added: 0036728
2020-08-21 14:37 UbitUmarov Note Added: 0036734
2020-08-22 04:40 Lotek Status new => resolved
2020-08-22 04:40 Lotek Fixed in Version => master (dev code)
2020-08-22 04:40 Lotek Resolution open => fixed
2020-08-22 04:40 Lotek Assigned To => Lotek


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker